Bug 7635 - smbclient -M not sending due to NT_STATUS_PIPE_BROKEN
smbclient -M not sending due to NT_STATUS_PIPE_BROKEN
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.4
x86 Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 05:02 UTC by Dmitri Zoubkov
Modified: 2010-08-24 09:38 UTC (History)
0 users

See Also:


Attachments
smbclient -M MACHINE -d11 -N (6.56 KB, application/octet-stream)
2010-08-20 05:15 UTC, Dmitri Zoubkov
no flags Details
tcpdump -p -s 0 -w smbclient.pcap port 445 or port 139 (37.21 KB, application/octet-stream)
2010-08-20 05:49 UTC, Dmitri Zoubkov
no flags Details
Patch for 3.5 (1020 bytes, patch)
2010-08-21 05:08 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Zoubkov 2010-08-20 05:02:54 UTC
After Samba update to 3.5.4-8.1-2405-SUSE-SL11.2 sending WinPopup messages with smbclient is not possible anymore (the rest of functionality is still Ok to all I know).

No matter what content is being sent to which client (XP, Win7, Linux):
# echo test | smbclient -M MACHINE -N
cli_message returned NT_STATUS_PIPE_BROKEN

Nothing is sent.
Comment 1 Dmitri Zoubkov 2010-08-20 05:15:30 UTC
Created attachment 5912 [details]
smbclient -M MACHINE -d11 -N

smbclient output with debug level 11
Comment 2 Volker Lendecke 2010-08-20 05:19:47 UTC
Can you also upload a network trace?

http://wiki.samba.org/index.php/Capture_Packets

Thanks,

Volker
Comment 3 Dmitri Zoubkov 2010-08-20 05:49:30 UTC
Created attachment 5913 [details]
tcpdump -p -s 0 -w smbclient.pcap port 445 or port 139

TCP traffic captured during smbclient -M. Please note that this is not an isolated smbclient session (other SMB communication is present).
Comment 4 Volker Lendecke 2010-08-21 05:08:27 UTC
Created attachment 5914 [details]
Patch for 3.5

The attached patch fixes it for me. Thanks for reporting this bug!
Comment 5 Volker Lendecke 2010-08-21 05:09:08 UTC
Comment on attachment 5914 [details]
Patch for 3.5

Jeremy, please review & potientially re-assign to Karolin

Thanks,

Volker
Comment 6 Jeremy Allison 2010-08-23 12:57:28 UTC
Comment on attachment 5914 [details]
Patch for 3.5

Looks good to me.
Jeremy.
Comment 7 Jeremy Allison 2010-08-23 12:57:50 UTC
Re-assigning to Karolin for inclusion.
Jeremy.
Comment 8 Karolin Seeger 2010-08-24 09:38:03 UTC
Pushed to v3-5-test.
Will be included in the next 3.5 release.
Closing out bug report.

Thanks!